# Copyright (c) 2009 gocept gmbh & co. kg
# See also LICENSE.txt

import zope.interface
import zope.component
import gocept.directory.interfaces


class UniqueResource(object):

    zope.interface.implements(gocept.directory.interfaces.IConsistencyCheck)
    zope.component.adapts(gocept.directory.interfaces.IDirectory)

    type_ = None

    def __init__(self, directory):
        self.directory = directory
        self.errors = []
        resources = {}
        for id, resource in self.resources():
            resources.setdefault(id, [])
            resources[id].append(resource)

        for id, used_by in resources.items():
            if len(used_by) == 1:
                continue
            self.errors.append(
                'Duplicate %s: %s by %s' %
                (self.type_, id, ', '.join(used_by)))
