# Copyright (c) 2009 gocept gmbh & co. kg
# See also LICENSE.txt

import gocept.directory.interfaces
from zope.app.zopeappgenerations import getRootFolder


def evolve(context):
    root = getRootFolder(context)
    d = root['directory']
    for network in d.networks:
        for address in network.addresses_in_use:
            if gocept.directory.interfaces.INIC.providedBy(address.resource):
                continue
            # This is a node, find the right NIC and redirect the resource
            for nic in address.resource.nics:
                if address in nic.addresses:
                    address.resource = nic
                    break
            else:
                raise RuntimeError('Could not find NIC for address')
