# Copyright (c) 2008-2009 gocept gmbh & co. kg
# See also LICENSE.txt
# $Id: install.py 16754 2009-07-27 15:01:23Z ctheune $

import zope.app.zopeappgenerations
import zope.app.component.hooks

import gocept.directory.app
import gocept.directory.vlan

generation = 0


def evolve(context):
    old_site = zope.app.component.hooks.getSite()
    root = zope.app.zopeappgenerations.getRootFolder(context)
    try:
        zope.app.component.hooks.setSite(root)
        root['directory'] = gocept.directory.app.Directory()

        v = gocept.directory.vlan.VLANClass()
        v.title = 'Management'
        v.short = 'mgm'
        v.description = 'BMC, Switches, ...'
        v.number = 1
        color = '#DDD'
        root['directory']['vlan-mgm'] = v

        v = gocept.directory.vlan.VLANClass()
        v.title = 'Frontend'
        v.short = 'fe'
        v.description = 'von aussen'
        v.number = 2
        color = '#00FF00'
        root['directory']['vlan-fe'] = v

        v = gocept.directory.vlan.VLANClass()
        v.title = 'Servernetz/Backend'
        v.short = 'srv'
        v.description = 'Cluster-interne Kommunikation'
        v.number = 3
        color = '#FF0000'
        root['directory']['vlan-srv'] = v

        v = gocept.directory.vlan.VLANClass()
        v.title = 'Storage'
        v.short = 'sto'
        v.description = 'SAN (iSCSI)'
        v.number = 4
        color = '#000000'
        root['directory']['vlan-sto'] = v

        v = gocept.directory.vlan.VLANClass()
        v.title = 'Workstation'
        v.short = 'ws'
        v.description = 'Arbeitsplatzrechner, WLAN'
        v.number = 5
        color = '#00FFFF'
        root['directory']['vlan-ws'] = v

        v = gocept.directory.vlan.VLANClass()
        v.title = 'Transfer'
        v.short = 'tr'
        v.description = 'Router-Router-Kopplung'
        v.number = 6
        color = '#0000FF'
        root['directory']['vlan-tr'] = v

        v = gocept.directory.vlan.VLANClass()
        v.title = 'IPMI'
        v.short = 'ipmi'
        v.description = 'IPMI (Alias fuer MGM)'
        v.number = 1
        color = '#DDD'
        root['directory']['vlan-ipmi'] = v

    finally:
        zope.app.component.hooks.setSite(old_site)
